import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import Tooltip from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/tooltip.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import { colors } from "/apps/websight-admin/web-resources/theme.js";
const Container = styled.button`
    border: none;
    display: flex;
    background-color: inherit;
    cursor: pointer;
    align-items: center;
    text-align: center;
    padding: 0px;
    border-radius: 50%;
    outline: none;
`;
const Icon = styled.i`
    color: ${colors.grey}; 
    font-size: 16px;
    padding: 0 4px;

    &:hover {
        color: ${colors.black};
    }
`;
export class CancelButton extends React.Component {
  render() {
    return /*#__PURE__*/React.createElement(Container, {
      onClick: this.props.onClick
    }, /*#__PURE__*/React.createElement(Tooltip, {
      content: 'Cancel',
      delay: 0
    }, /*#__PURE__*/React.createElement(Icon, {
      className: "material-icons"
    }, "cancel")));
  }

}